package jartege ; 

/**
 * Classe des lments qui ont un nom.
 */

abstract class Element {

   // Nom de l'lment
   public String nom ; 

   // Nom complet de l'lment (prfix par le nom du paquetage)
   private String nomComplet ; 

   // Constructeur
   Element(String nomComplet) {
      setNomComplet(nomComplet) ; 
   }

   // Constructeur 
   Element() {
      this.nomComplet = null ; 
      this.nom = null ; 
   }

   // Le nom de l'lment
   public String getNom() {
      return nom ; 
   }

   // Le nom complet de l'lment
   public String getNomComplet() {
      return nomComplet ; 
   }

   public void setNomComplet(String nomComplet) {
      this.nomComplet = nomComplet ; 
      this.nom = Chaine.nom(nomComplet) ; 
   }

      
}

