package jartege ; 


/**
 * Gnrateur de noms d'objets tous diffrents.
 */
class GenerateurNom {
   // Prfixe
   static final String prefixe = "ob" ; 

   // Compteur 
   static private int compteur = 0 ; 

   // Gnre un nouveau nom
   public static String nouveau(Class cl) {
      compteur++ ; 
      return prefixe + // Chaine.nom(cl.getName()) + 
             compteur ; 
   }

   static void reinit() {
      compteur = 0 ; 
   }
}
   
